##
##  kickout.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_kickout      2.0.0
%define       V_kickout_snap 20250602

#   package information
Name:         kickout
Summary:      Conventiently Release Git-Versioned NPM Package
URL:          https://github.com/rse/kickout
Vendor:       Dr. Ralf S. Engelschall
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Development
License:      MIT
Version:      %{V_kickout}
Release:      20250603

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/kickout/kickout-%{V_kickout}-%{V_kickout_snap}.tar.gz
Source1:      kickout.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, node-openpkg
PreReq:       OpenPKG, openpkg >= 20160101, node

%description
    This is a small opinionated Command-Line Interface (CLI) for
    conveniently releasing a Git-versioned NPM package. It performs
    sanity checks, bumps the semantic version in `package.json`, commits
    the changes to Git, tags the repository with the new version and
    publishes the package via NPM.

%track
    prog kickout = {
        version   = %{V_kickout}-%{V_kickout_snap}
        url       = http://download.openpkg.org/components/versioned/kickout/
        regex     = kickout-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -c

%build
    #   contained packages are very sensible about its files, so this does not work.
    #   %{l_prefix}/bin/node-openpkg squeeze -n "default:safe"

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/kickout/node_modules
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE kickout.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/kickout
    %{l_prefix}/bin/node-openpkg install \
        %{l_prefix}/lib/kickout/node_modules/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

